Zeitgeist.Monitor.events_inserted – zeitgeist-2.0 Reference Manual

# events_inserted

## Description:

public signal void events_inserted (TimeRange time_range, ResultSet events)

ZeitgeistMonitor::events-inserted:

Emitted when events matching the event templates and with timestamps within the time range of the monitor has been inserted into the log.

## Parameters:

time_range | A #ZeitgeistTimeRange that specifies the minimum and maximum of the timestamps in @events
events | A #ZeitgeistResultSet holding the "ZeitgeistEvent"s that have been inserted into the log